package de.theserverside.designpatterns.decorator;

/**
 * Stellt im UML-Klassendiagramm "ConcreteComponent" dar. Sie
 * implementiert auch das Standardverhalten der Komponente, in
 * diesem Fall das Speichern der Datei. Sie wird spter bei der
 * Implementierung zustzlichen Verhaltens in die entsprechenden
 * Methoden "reingereicht".
 */
public class KonkreteTextdatei extends Textdatei {
	/**
	 * Diese Methode speichert den Inhalt einer bestimmten
	 * Datenbankspalte in einer Datei und liefert den Namen der
	 * Datei zurck.
	 * 
	 * @return Name der gespeicherten Datei
	 */
	@Override
	public String speichern(String dateiname) {
		/*
		 * Hier steht der Code zum Abfragen der Datenbank und
		 * Speichern des Inhalts im Dateisystem.
		 */
		System.out.println("Daten gespeichert!");
		return dateiname;
	}
}